Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class TableRowElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.TableRowElement

    @TagName(value="tr")
    public class TableRowElement

extends Element

A row in a table.

See Also:
  W3C HTML Specification

Field Summary
`static java.lang.String` | `TAG`

Fields inherited from class com.google.gwt.dom.client.Element
`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `TableRowElement()`

Method Summary
`static TableRowElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`void` | `deleteCell(int index)` Delete a cell from the current row.
`java.lang.String` | `getAlign()` Horizontal alignment of data within cells of this row.
`NodeList<TableCellElement>` | `getCells()` The collection of cells in this row.
`java.lang.String` | `getCh()` Alignment character for cells in a column.
`java.lang.String` | `getChOff()` Offset of alignment character.
`int` | `getRowIndex()` This is in logical order and not in document order.
`int` | `getSectionRowIndex()` The index of this row, relative to the current section (THEAD, TFOOT, or TBODY), starting from 0.
`java.lang.String` | `getVAlign()` Vertical alignment of data within cells of this row.
`TableCellElement` | `insertCell(int index)` Insert an empty TD cell into this row.
`static boolean` | `is(Element elem)` Determine whether the given `Element` can be cast to this class.
`static boolean` | `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
`static boolean` | `is(Node node)` Determine whether the given `Node` can be cast to this class.
`void` | `setAlign(java.lang.String align)` Horizontal alignment of data within cells of this row.
`void` | `setCh(java.lang.String ch)` Alignment character for cells in a column.
`void` | `setChOff(java.lang.String chOff)` Offset of alignment character.
`void` | `setVAlign(java.lang.String vAlign)` Vertical alignment of data within cells of this row.

Methods inherited from class com.google.gwt.dom.client.Element
`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TAG

    public static final java.lang.String TAG

See Also:
  Constant Field Values

Constructor Detail

### TableRowElement

    protected TableRowElement()

Method Detail

### as

    public static TableRowElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### is

    public static boolean is(JavaScriptObject o)

  Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

### is

    public static boolean is(Node node)

  Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

### is

    public static boolean is(Element elem)

  Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

### deleteCell

    public final void deleteCell(int index)

  Delete a cell from the current row.

  See Also:
    W3C HTML Specification

### getAlign

    public final java.lang.String getAlign()

  Horizontal alignment of data within cells of this row.

  See Also:
    W3C HTML Specification

### getCells

    public final NodeList<TableCellElement> getCells()

  The collection of cells in this row.

### getCh

    public final java.lang.String getCh()

  Alignment character for cells in a column.

  See Also:
    W3C HTML Specification

### getChOff

    public final java.lang.String getChOff()

  Offset of alignment character.

  See Also:
    W3C HTML Specification

### getRowIndex

    public final int getRowIndex()

  This is in logical order and not in document order. The rowIndex does take into account sections (THEAD, TFOOT, or TBODY) within the table, placing THEAD rows first in the index, followed by TBODY rows, followed by TFOOT rows.

### getSectionRowIndex

    public final int getSectionRowIndex()

  The index of this row, relative to the current section (THEAD, TFOOT, or TBODY), starting from 0.

### getVAlign

    public final java.lang.String getVAlign()

  Vertical alignment of data within cells of this row.

  See Also:
    W3C HTML Specification

### insertCell

    public final TableCellElement insertCell(int index)

  Insert an empty TD cell into this row. If index is -1 or equal to the number of cells, the new cell is appended.

  See Also:
    W3C HTML Specification

### setAlign

    public final void setAlign(java.lang.String align)

  Horizontal alignment of data within cells of this row.

  See Also:
    W3C HTML Specification

### setCh

    public final void setCh(java.lang.String ch)

  Alignment character for cells in a column.

  See Also:
    W3C HTML Specification

### setChOff

    public final void setChOff(java.lang.String chOff)

  Offset of alignment character.

  See Also:
    W3C HTML Specification

### setVAlign

    public final void setVAlign(java.lang.String vAlign)

  Vertical alignment of data within cells of this row.

  See Also:
    W3C HTML Specification

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD